---
wireguard:
  stage: deploy
  image: docker
  script:
    - |
      for FILE in wg0.conf docker-compose.yml; do
        wget https://gitlab.com/hove-ict/tools/wireguard/-/raw/v1.0.0/${FILE} -O ${FILE}
      done
    - apk add gettext
    - envsubst < wg0.conf > wg0-envsubst.conf
    - mv wg0-envsubst.conf wg0.conf
    - export CONFIG_SHORT_SHA=$(sha256sum wg0.conf | cut -d" " -f1 | cut -c1-8)
    - docker stack deploy -c docker-compose.yml --prune wireguard
